# norootforbuild

Name:		decibel-audio-player
Version:	1.07
Release:	1.pm.1.1

Summary:	Straightforward Audio Player with a Very Clean and User-Friendly Interface
License:	GPL
Group:		Productivity/Multimedia/Sound/Players
URL:		http://decibel.silent-blade.org/

# http://decibel.silent-blade.org/uploads/Main/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz

Requires:	dbus-1-python python python-gnome python-gtk python-mutagen python-gstreamer-0_10

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	update-desktop-files

BuildArch:  noarch


%description
Decibel Audio Player is a GTK+ open-source (GPL license) audio player designed for
GNU/Linux, which aims at being very straightforward to use by mean of a very clean
and user friendly interface. It is especially targeted at Gnome and will follow as
closely as possible the Gnome HIG.

It aims also at being a real audio player and, as such, it does not include
features that are not meant to be part of an audio player. These features
(e.g., tagging) generally have a really better support in specialized software.
If you're looking for an audio player than can also make coffee, then you should
stay away from Decibel and give a try to other players (e.g., Amarok, Exaile). 

%prep
%setup -q

%build
#%#configure
%__make PREFIX=%{_prefix} %{?jobs:-j%{jobs}}

%install
%__make prefix=%{_prefix} DESTDIR=%{buildroot} install
%__rm -rf "%{buildroot}%{_datadir}/locale/kk"
%suse_update_desktop_file -r %{name} AudioVideo Player
%find_lang %{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/ChangeLog doc/LICENCE
%{_bindir}/%{name}
%{_bindir}/%{name}-remote
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pix
%{_datadir}/%{name}/pix/*.png
%dir %{_datadir}/%{name}/res
%{_datadir}/%{name}/res/*
%dir %{_datadir}/%{name}/src
%{_datadir}/%{name}/src/*
%{_mandir}/man1/%{name}-remote.1%{ext_man}
%{_mandir}/man1/%{name}.1%{ext_man}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Mar  8 2011 detlef@links2linux.de
- new upstream version <1.07>
  * Add: Libraries may be filtered by genre using the popup menu
  * Add: Can't play wav files (#653496)
  * Add an automatic shuffle feature (#510278)
  * Add a module that resumes playback on startup (#534031)
  * Added a 'lean' view mode (#523943)
  * Added a 'netbook' view mode (#711629)
  * Add: Let external apps access the current cover (#715833)
  * Del: Don't spawn multiple instances from the .desktop file (#704221)
  * Playbin2 with pulseaudio sets volume to 100%% (#511589)
  * Make left clicks on slider act the same as middle clicks (#676548)
  * "Add" option is missing on right-click (#677168)
  * Don't preserve the ratio of covers when the distortion isn't noticeable
* Sun Oct 17 2010 detlef@links2linux.de
- new upstream version <1.06>
  * Add: Albums in the Library can be added to favorites using the popup menu
  * Add: Added an option to search for covers in parent directories as well (#605644)
  * Fix: CD explorer not always removed when unloading the CD module (#603902)
  * Fix: AudioScrobbler submission blocked by '\0' bytes (#604016)
  * Fix: Tracklist scrolls up upon insertion (#607261)
  * Fix: List of explorers not kept sorted when renaming a library (#610202)
  * Fix: File chooser dialog box does not appear on some systems
  * Fix: Can't play previous track from the remote (#656040)
  * Fix: Scaling covers should preserve ratio (#654321)
  * Revamped the preferences dialog box
  * Respect the "Show hidden files" option when playing tracks from the File Explorer (#611703)
  * Automatically show preferences the first time the application is started
* Sun Jun 27 2010 pascal.bleser@opensuse.org
- update to 1.05:
  * adds support for the Media Player Remote Interface Specifications (MPRIS)
  * improved equalizer component
- changed package to noarch
* Fri May 14 2010 detlef@links2linux.de
- new upstream version <1.04>
  * Show album cover in desktop notifications if both modules are enabled (#418076)
  * Added a wildcard (*) for cover names (#541763)
  * Added more keyboard shortcuts to the tracklist (#523689)
  * CD-ROM read speed can be configured (#502297)
  * Added a bitrate column in the tracklist (hidden by default)
  * Drag'n'Drop into the playlist not always working correctly (#501114)
  * Improper sorting when adding tracks that don't all have a performer tag (#509494)
  * Don't allow playback of a disc when there is no disc in the drive
  * Removing a root folder in the File Explorer doesn't work correctly (#496154)
  * Cannot open playlists using backslashes as path separators (#526273)
  * Cannot play files with a percent sign in their path (#528442)
  * Cannot start when view mode was set to nano in v1.02 (#512892)
  * [AudioScrobbler] Song not submitted when quitting while playing (#565828)
  * Fixed passwords not being stored on Ubuntu 10.04 (#578124)
  * Time slider sometimes stops moving (#424976)
  * Fixed lowercase/uppercase issue in the library (#513965)
  * Gloss effect on covers can be disabled by using the --no-glossy-cover option on the command line (#562905)
  * "Save as" dialog now opens the last directory used (#523692)
  * Don't start a new instance when there is already one running (#490719)
  * Play button plays selected track if any (#511720)
* Tue Jan 12 2010 detlef@links2linux.de
- new upstream version <1.03>
  * Improved the look of the cover thumbnail
  * Fixed grey text not always visible once selected (#331867)
  * Fixed removing a root folder in the File Explorer not working correctly (#496154)
  * Merged mini and nano modes
  * Fixed deprecation warnings about the tooltips
* Tue Nov 24 2009 detlef@links2linux.de
- Initial build
